#ifndef _PARTICLE
#define _PARTICLE

#include "ofMain.h"
#include "ofxVectorMath.h"

class Particle {

    public:
        Particle ();
        Particle ( ofxVec2f pos );
        ~Particle ();
        void setup ();

		void update ();
		void draw ();
		bool isOffscreen ();

        ofxVec2f mPos;
        ofxVec2f mVel;

        float mSize;

        int mAge;
        int mLifetime;
        bool mDead;

};

#endif
