#include "particleController.h"

ParticleController::ParticleController () {

}

//--------------------------------------------------------------
void ParticleController::update () {

    for ( std::list<Particle>::iterator p = mParticles.begin (); p != mParticles.end (); )
    {
        if ( p->isOffscreen () || p->mDead )
        {
            p = mParticles.erase ( p );
        } else {
            p->update ();
            ++p;
        }
    }

}

//--------------------------------------------------------------
void ParticleController::draw () {

    for ( std::list<Particle>::iterator p = mParticles.begin (); p != mParticles.end (); ++p )
    {
        p->draw();
    }
}

//--------------------------------------------------------------
void ParticleController::addParticle ( ofxVec2f pos ) {
    mParticles.push_back ( Particle ( pos ) );
}

//--------------------------------------------------------------
void ParticleController::addParticles ( ofxVec2f pos, int amt ) {

    for ( int i = 0; i < amt; ++i )
    {
        mParticles.push_back ( Particle ( pos ) );
    }
}

//--------------------------------------------------------------
void ParticleController::addParticles ( int amt ) {

    for ( int i = 0; i < amt; ++i )
    {
        mParticles.push_back ( Particle () );
    }
}

//--------------------------------------------------------------
void ParticleController::removeParticles ( int amt ) {

}


//--------------------------------------------------------------
int ParticleController::getParticleCount () {
   return mParticles.size();
}
