#ifndef _PARTICLE_CONTROLLER
#define _PARTICLE_CONTROLLER

#include "ofMain.h"
#include "particle.h"
#include "ofxVectorMath.h"

class ParticleController {

    public:
        ParticleController ();
		void update ();
		void draw ();

		void addParticle ( ofxVec2f pos );
		void addParticles ( ofxVec2f pos, int amt );
		void addParticles ( int amt );
		void removeParticles ( int amt );

		int getParticleCount ();

        std::list<Particle> mParticles;

};

#endif
