#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"
#include <fstream>
#include "ofxVectorMath.h"
#include "particleController.h"

class testApp : public ofBaseApp{

	public:

		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased (int key);

		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);

		ParticleController mParticleController;

		bool mFullscreen;
		bool mMouseDown;
		ofxVec2f mMousePos;

		vector<string> mReadme;
		bool mShowReadme;

};

#endif

